# Get-RASAVDVMSize.md

## NAME

Get-RASAVDVMSize

## SYNOPSIS

The cmdlet returns a list of Azure Virtual Desktop VM Sizes.

## SYNTAX

**Get-RASAVDVMSize** -[Location](#location-string) *(string)* -[ProviderId](#providerid-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASAVDVMSize** -[VMAzureId](#vmazureid-string) *(string)* -[WorkspaceId](#workspaceid-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The cmdlet returns a list of Azure Virtual Desktop VM Sizes.

## PARAMETERS

## ProviderId (uint)

Provider ID from which to retrieve the Azure Virtual Desktop VMSize information.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Location (string)

Location of the Azure Virtual Desktop Provider.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## WorkspaceId (uint)

Workspace ID from which to retrieve the Azure Virtual Desktop VMSize information.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## VMAzureId (string)

Azure Virtual Desktop VM Id.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[AVDVMSize](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdvmsize.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASAVDVMSize -ProviderId 2 -Location westeurope | Format-List

Retrieves all the VM Sizes which fall under the AVD Provider and Location specified.

The Format-List cmdlet formats the display output to include all available properties.\
\*\*---------- EXAMPLE 2 ----------

Get-RASAVDVMSize -WorkspaceId 2 -VMAzureId "/subscriptions/w7647456-39g5-113d-pe43-34le8xwj92tn/resourceGroups/My-Resource-Group/providers/Microsoft.Compute/virtualMachines/My-Host"

Retrieves all the VM Sizes which fall under the AVD Workspace and VMAzure specified.

## RELATED LINKS

-none-


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdvmsize.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
